import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;


import javax.swing.*;
public class ChatRoomGUI extends JFrame{
	private final String WINDOWS_TITLE = "AUT Chat Room";
	private final int WIDTH = 500, HEIGHT = 500;
	private final int X = 100, Y = 100;
	public ChatArea chatBox;
	private ParticipantArea participant;
	private MessageArea msg;
	
	public Network network;


	public ChatRoomGUI() {
		super();
		this.setTitle(WINDOWS_TITLE);
		this.setLayout(new BorderLayout());
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.setSize(WIDTH, HEIGHT);
		this.setLocation(X, Y);
		this.setVisible(true);
		chatBox = new ChatArea();
		msg = new MessageArea(this);
		this.add(new JScrollPane(chatBox), BorderLayout.CENTER);
		this.add(new JScrollPane(msg), BorderLayout.PAGE_END);
		participant = new ParticipantArea();
		this.add(new JScrollPane(participant), BorderLayout.WEST);
		
		
		
		network = new Network(this);
		
	}
	public void addNewMessage(String name , String text) {
		chatBox.addMessage(name,text);
	}
	public void addNewParticipant(String name) {
		participant.addOnlinePerson(name);
	}

	public void removeParticipant(String name) {
		participant.removeOnlinePerson(name);
	}

}

